/**
 * 配置编译环境和线上环境之间的切换
 *
 * baseUrl: 域名地址
 * routerMode: 路由模式
 * imgBaseUrl: 图片所在域名地址
 *
 */
import "../../public/config";
import "../../public/config.json";
import axios from "axios";
import myReq from "@/utils/axios";

let BASE_URL = window.global_config.BASE_URL;
let SERVER_IP = "";
let ROUTER_MODE = "";
let IMG_BASE_URL = BASE_URL;
let UDI_SYNC_SERVER_IP = null;
export {BASE_URL, ROUTER_MODE, IMG_BASE_URL, SERVER_IP, UDI_SYNC_SERVER_IP};


axios.get('./config.json').then((res) => {
    // 基础地址
    BASE_URL = res.data.BASE_URL;
    SERVER_IP = res.data.SERVER_IP;
    myReq.defaults.baseURL = BASE_URL;
    UDI_SYNC_SERVER_IP = res.data.UDI_SYNC_SERVER_IP;

});
